### Hierarchy

- RpcToken
  - RpcDecryptMessage

## Index

### Constructors

- constructor

### Properties

- accessToken
- encrypted
- senderPk

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new RpcDecryptMessage(accessToken: string, senderPk: string, encrypted: string): RpcDecryptMessage

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcDecryptMessage.ts:6

  #### Parameters

  - ##### accessToken: string

  - ##### senderPk: string

  - ##### encrypted: string

  #### Returns RpcDecryptMessage

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### encrypted

encrypted: string

- Defined in utils/keypair/rpc/RpcDecryptMessage.ts:6

### senderPk

senderPk: string

- Defined in utils/keypair/rpc/RpcDecryptMessage.ts:5

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc